/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.sysmgr.dto.pub.PubC;
import com.crunii.micro.service.sysmgr.dto.pub.PubInfo;
import com.crunii.micro.service.sysmgr.dto.pub.PubReq;
import com.crunii.micro.service.sysmgr.dto.pub.PubU;

/**
 * @author 田平 create 2019年6月14日上午10:21:11
 */
public interface PublishService {

	public PageRsp<PubInfo> pagePub(PageReq<PubReq> req) ;

	public String getPubContent(int pubId);

	public void createPub(PubC pubC);

	public void updatePub(PubU pubU);

}
